Skip to navigation

Get User Information

Returns Company user information. The userId parameter accepts both the Company user ID and the BigCommerce customer account ID.

Equivalent Storefront GraphQL API Query: user. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

userIdstringRequired
The unique ID for the customer account.

Query parameters

isBcIdstringOptional

Indicates whether the userId parameter is the BigCommerce Customer ID. A value of 1 indicates that it is.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional